<div class="container">
    <app-filter-form (change)="fromFilterComponent($event)"></app-filter-form>
</div>

<div class="container">
    <table mat-table [dataSource]="dataSource">

        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef> ID </th>
            <td mat-cell *matCellDef="let product"> {{ product.id }} </td>
        </ng-container>
    
        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef> Name </th>
            <td mat-cell *matCellDef="let product"> {{ product.name }} </td>
        </ng-container>
    
        <ng-container matColumnDef="details">
            <th mat-header-cell *matHeaderCellDef> Details </th>
            <td mat-cell *matCellDef="let product">
                <a [routerLink] = "['/products', product.id, 'details']">details</a>
            </td>
        </ng-container>

        <ng-container matColumnDef="update">
            <th mat-header-cell *matHeaderCellDef> Update </th>
            <td mat-cell *matCellDef="let product">
                <button mat-raised-button color="primary" 
                (click)="onUpdate(product)" 
                class="update">Update</button>
            </td>
        </ng-container>

        <ng-container matColumnDef="delete">
            <th mat-header-cell *matHeaderCellDef> Delete </th>
            <td mat-cell *matCellDef="let product">
                <button [ngxsSubmitLoading]="onDelete.bind(this, product.key)"><mat-icon color="warn">delete</mat-icon> </button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
        <tr mat-row *matRowDef="let myRowData; columns: columnsToDisplay"></tr>
    
    </table>
    
    <button mat-raised-button 
    color="primary" 
    (click)="onAddNewProduct()" 
    id="addProduct">Add New Product</button>

</div>



